Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow.application.portlet
Class PortletFaceletViewHandler

    java.lang.Object
      javax.faces.application.ViewHandler
          com.sun.facelets.FaceletViewHandler
              org.springframework.faces.webflow.application.portlet.PortletFaceletViewHandler

    public class PortletFaceletViewHandler

extends com.sun.facelets.FaceletViewHandler

This `ViewHandler` implementation is needed because portions of the native Facelets ViewHandler depend on the Servlet API and cannot be used directly in a Portlet environment.

Note: the basis for this code was a Facelets sample provided with Apache MyFaces Portlet Bridge for JSF version 2.0.0.alpha-2.

Since:
  2.2.0

Nested Class Summary
`protected static class` | `PortletFaceletViewHandler.NoopWriter`

Nested classes/interfaces inherited from class com.sun.facelets.FaceletViewHandler
`com.sun.facelets.FaceletViewHandler.NullWriter`

Field Summary

Fields inherited from class com.sun.facelets.FaceletViewHandler
`DEFAULT_REFRESH_PERIOD, log, PARAM_BUFFER_SIZE, PARAM_BUILD_BEFORE_RESTORE, PARAM_DECORATORS, PARAM_DEVELOPMENT, PARAM_LIBRARIES, PARAM_REFRESH_PERIO, PARAM_REFRESH_PERIOD, PARAM_RESOURCE_RESOLVER, PARAM_SKIP_COMMENTS, PARAM_VIEW_MAPPINGS`

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, DISABLE_FACELET_JSF_VIEWHANDLER_PARAM_NAME, FACELETS_BUFFER_SIZE_PARAM_NAME, FACELETS_DECORATORS_PARAM_NAME, FACELETS_LIBRARIES_PARAM_NAME, FACELETS_REFRESH_PERIOD_PARAM_NAME, FACELETS_SKIP_COMMENTS_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

Constructor Summary
`PortletFaceletViewHandler(javax.faces.application.ViewHandler parent)`

Method Summary
`protected javax.faces.context.ResponseWriter` | `createResponseWriter(javax.faces.context.FacesContext context)`
`protected java.lang.String` | `getResponseEncoding(javax.faces.context.FacesContext context, java.lang.String originalEncoding)`

Methods inherited from class com.sun.facelets.FaceletViewHandler
`buildView, calculateLocale, calculateRenderKitId, createCompiler, createFaceletFactory, createView, getActionURL, getDefaultSuffix, getRenderedViewId, getResourceURL, getResponseContentType, getWrapped, handleFaceletNotFound, handleRenderException, initialize, initializeCompiler, renderView, restoreView, writeState`

Methods inherited from class javax.faces.application.ViewHandler
`addProtectedView, calculateCharacterEncoding, deriveLogicalViewId, deriveViewId, getBookmarkableURL, getProtectedViewsUnmodifiable, getRedirectURL, getViewDeclarationLanguage, initView, removeProtectedView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletFaceletViewHandler

    public PortletFaceletViewHandler(javax.faces.application.ViewHandler parent)

Method Detail

### createResponseWriter

    protected javax.faces.context.ResponseWriter createResponseWriter(javax.faces.context.FacesContext context)
                                                               throws java.io.IOException,
                                                                      javax.faces.FacesException

  Overrides:
    `createResponseWriter` in class `com.sun.facelets.FaceletViewHandler`
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

### getResponseEncoding

    protected java.lang.String getResponseEncoding(javax.faces.context.FacesContext context,
                                                   java.lang.String originalEncoding)

  Overrides:
    `getResponseEncoding` in class `com.sun.facelets.FaceletViewHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD